OrderService

Full documentation for this service is available at /documentation/order-service.

SetSellerOrderAsShipped |WebMethod|

Sets seller order as shipped. The seller in this case is the user for which the call is made for.

Parameters
  1. request, The orderId of the order that is processed.
Returns

The orderId of the order that has been marked as shipped.

SOAP 1.1

The following is a sample SOAP 1.1 request and response. The placeholders shown need to be replaced with actual values.

POST /v3/OrderService.asmx HTTP/1.1
Host: api.tradera.com
Content-Type: text/xml; charset=utf-8
SOAPAction: "http://api.tradera.com/SetSellerOrderAsShipped"
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
  <soap:Body>
    <SetSellerOrderAsShipped xmlns="http://api.tradera.com">
      <request>request</request>
    </SetSellerOrderAsShipped>
  </soap:Body>
</soap:Envelope>
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
  <soap:Body>
    <SetSellerOrderAsShippedResponse xmlns="http://api.tradera.com">
      <SetSellerOrderAsShippedResult>The orderId of the order that has been marked as shipped.</SetSellerOrderAsShippedResult>
    </SetSellerOrderAsShippedResponse>
  </soap:Body>
</soap:Envelope>

SOAP 1.2

The following is a sample SOAP 1.2 request and response. The placeholders shown need to be replaced with actual values.

POST /v3/OrderService.asmx HTTP/1.1
Host: api.tradera.com
Content-Type: application/soap+xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope">
  <soap12:Body>
    <SetSellerOrderAsShipped xmlns="http://api.tradera.com">
      <request>request</request>
    </SetSellerOrderAsShipped>
  </soap12:Body>
</soap12:Envelope>
HTTP/1.1 200 OK
Content-Type: application/soap+xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope">
  <soap12:Body>
    <SetSellerOrderAsShippedResponse xmlns="http://api.tradera.com">
      <SetSellerOrderAsShippedResult>The orderId of the order that has been marked as shipped.</SetSellerOrderAsShippedResult>
    </SetSellerOrderAsShippedResponse>
  </soap12:Body>
</soap12:Envelope>

HTTP GET

The following is a sample HTTP GET request and response. The placeholders shown need to be replaced with actual values.

GET /v3/OrderService.asmx/SetSellerOrderAsShipped?appId=string&appKey=string&request=string HTTP/1.1
Host: api.tradera.com
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<SetSellerOrderAsShippedResult xmlns="http://api.tradera.com">The orderId of the order that has been marked as shipped.</SetSellerOrderAsShippedResult>

HTTP POST

The following is a sample HTTP POST request and response. The placeholders shown need to be replaced with actual values.

POST /v3/OrderService.asmx/SetSellerOrderAsShipped HTTP/1.1
Host: api.tradera.com
Content-Type: application/x-www-form-urlencoded
Content-Length: length

appId=string&appKey=string&request=string
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<SetSellerOrderAsShippedResult xmlns="http://api.tradera.com">The orderId of the order that has been marked as shipped.</SetSellerOrderAsShippedResult>